Method: organizations.locations.firewallEndpoints.wildfireVerdictChangeRequests.list

Lists WildfireVerdictChangeRequests in a given Firewall Endpoint in an organization and location.

HTTP request

GET https://networksecurity.googleapis.com/v1beta1/{parent=organizations/*/locations/*/firewallEndpoints/*}/wildfireVerdictChangeRequests

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListWildfireVerdictChangeRequestsRequest. The parent is a firewall endpoint resource. Format: organizations|projects/{project_or_organization}/locations/{location}/firewallEndpoints/{firewallEndpoint}

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. Filter expression to filter the results. See AIP-160 for filtering syntax. Supported fields are: - sha256 (string, equality only, e.g. sha256 = "...") - state (enum, equality only, e.g. state = "ACTIVE") - createTime (timestamp, comparisons, e.g. createTime > "2026-01-01T00:00:00Z")

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListWildfireVerdictChangeRequestsResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.